Start maintenance for status page
POST /dashboard/services/{id}/maintenance
POST
/dashboard/services/{id}/maintenance
Start a maintenance window for all monitors belonging to the status page. Incident creation is suppressed during maintenance.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ”object
maintenanceUntil
required
ISO 8601 end datetime for maintenance (max 7 days ahead)
string format: date-time
notify
Send notification to configured channels
boolean
autoResolve
When true, maintenance auto-resolves at the scheduled end time. When false, maintenance persists until manually ended.
boolean
Responses
Section titled “ Responses ”Maintenance started
object
service
object
id
string
teamId
string
name
string
slug
string
description
string
isPublic
integer
maintenanceUntil
ISO 8601 timestamp until which the status page is under maintenance. Null when not in maintenance.
string format: date-time
customDomain
string
customDomainStatus
Custom domain verification status
string
customDomainCfId
Cloudflare Custom Hostname ID
string
customDomainValidation
DNS validation records from Cloudflare
object
autoResolveMaintenance
Whether maintenance auto-resolves (1) or requires manual resolution (0).
integer
createdAt
string format: date-time
updatedAt
string format: date-time
Validation error
Status page not found